Subject: Re: 2.4.21-ben2 issues: RTC, Thermal and RTAS

From: Sven Luther <[email-masked]>
Date: Sun, 18 Jan 2004 13:17:54 +0100

On Sun, Jan 18, 2004 at 01:14:07PM +0100, Geert Uytterhoeven wrote:
> On Tue, 13 Jan 2004, Sven Luther wrote:
> > On Tue, Jan 13, 2004 at 06:09:38PM +0100, Geert Uytterhoeven wrote:
> > > On Tue, 13 Jan 2004, Sven Luther wrote:
> > > > On Wed, Dec 17, 2003 at 11:13:58AM +0100, Geert Uytterhoeven wrote:
> > > > > On Wed, 17 Dec 2003, Sven Luther wrote:
> > > > > > On Wed, Dec 17, 2003 at 10:57:07AM +0100, Geert Uytterhoeven wrote:
> > > > > > > It uses the PC-style RTC driver (genrtc.o is not loaded).
> > > > > >
> > > > > > Mmm, what was your box again ? a chrp no ?
> > > > >
> > > > > Yep, CHRP LongTrail. It has a Winbond/Symphony Labs W83C553 SouthBridge.
> > > >
> > > > Could you tell me the content of your rtc OF node ? In particular i am
> > > > interested in the reg value (probably 70/71 in isa space or so), and of
> > > > the compatible stuff (i have ds1385-rtc).
> > >
> > > /proc/device-tree/pci/isa@1/rtc/ has:
> > >
> > > total 0
> > > -r--r--r--    1 root     root           11 Jan 13 18:06 compatible
> > > -r--r--r--    1 root     root            4 Jan 13 18:06 device_type
> > > -r--r--r--    1 root     root            4 Jan 13 18:06 linux,phandle
> > > -r--r--r--    1 root     root            4 Jan 13 18:06 name
> > > -r--r--r--    1 root     root           12 Jan 13 18:06 reg
> > >
> > > compatible:	pnpPNP,b00			(ASCII)
> > > device_type:	rtc				(ASCII)
> > > linux,phandle:	ff86 2aa4			(hexdump)
> > > name:		rtc				(ASCII)
> > > reg:		0000 0001 0000 0070 0000 0002	(hexdump)
> >
> > Ok. So, this is almost the same as me, except i have a ds1385-rtc
> > compatible version, and some interrupt stuff.
> >
> > Can you confirm that the GEN_RTC driver works for you ?
>
> To my surprise, genrtc in 2.4.23 does not work on my LongTrail!
> The kernel crashes in init/do_mounts.c:mount_block_root() right after the call
> to sys_chdir(), because current->fs is a NULL pointer. Weird, and it doesn't
> really look genrtc-related, although the same source tree works fine if I
> disable genrtc and build in rtc.

Weird, it works fine for me, what tree are you using ?

I think i remember some part of patch concerning the rtc clock or
something in the linuxppc diff. Could you try 2.4.24 ?

> I also tried 2.6.0, and there it works fine, both in the builtin and modular
> case: the kernel got the correct time, and hwclock works.

Ok.

Friendly,

Sven Luther

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/